Search Results for

Show / Hide Table of Contents

# Class View.MouseEventArgs

Specifies the event arguments for MouseEvent

##### Inheritance

System.Object
System.EventArgs
View.MouseEventArgs

##### Inherited Members

System.EventArgs.Empty
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class MouseEventArgs : EventArgs

### Constructors

#### MouseEventArgs(MouseEvent)

Constructs.

##### Declaration

    public MouseEventArgs(MouseEvent me)

##### Parameters

Type | Name | Description
--- | --- | ---
MouseEvent | me |

### Properties

#### Handled

Indicates if the current mouse event has already been processed and the driver should stop notifying any other event subscriber. Its important to set this value to true specially when updating any View's layout from inside the subscriber method.

##### Declaration

    public bool Handled { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### MouseEvent

The MouseEvent for the event.

##### Declaration

    public MouseEvent MouseEvent { get; set; }

##### Property Value

Type | Description
--- | ---
MouseEvent |